class Tunneling:
    """
    "Tunneling behavior" in finance refers to the unethical practice of controlling a company for one's own benefit at the expense of other shareholders. The following are some key characteristics of tunneling behavior in finance:

    Controlling shareholders: Tunneling behavior is typically exhibited by controlling shareholders who have significant ownership stakes in a company and are therefore able to manipulate corporate decisions for their own benefit.
    Insider dealing: Controlling shareholders often use their privileged access to information to engage in insider trading or other forms of market manipulation, such as artificially inflating the company's stock price.
    Related-party transactions: Tunneling behavior often involves the use of related-party transactions, in which the controlling shareholder uses the company's assets or funds for personal gain, such as transferring company assets to a company they control or engaging in self-dealing.
    Poor corporate governance: Tunneling behavior is often facilitated by poor corporate governance, such as weak board independence or inadequate disclosure requirements, which make it easier for controlling shareholders to engage in unethical behavior.
    Detrimental to minority shareholders: Tunneling behavior is harmful to minority shareholders, who are often left with reduced profits or losses as a result of the controlling shareholder's actions.
    Overall, tunneling behavior is a serious issue in finance that can undermine the integrity of financial markets and harm investors.
    """
    def __init__(self, controlling_shareholder, insider_dealing, related_party_transactions, poor_governance, detrimental_minority_shareholders):
        self.controlling_shareholder = controlling_shareholder
        self.insider_dealing = insider_dealing
        self.related_party_transactions = related_party_transactions
        self.poor_governance = poor_governance
        self.detrimental_minority_shareholders = detrimental_minority_shareholders
